#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-1167

### Chapter 9. General Libraries

- Prev

  qcoro-0.13.0

- Next

  simdutf-9.0.0

- Up
- Home

# rnnoise-0.2

## Introduction to rnnoise

rnnoise is a noise suppression library based on a recurrent neural network.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/xiph/rnnoise/releases/download/v0.2/rnnoise-0.2.tar.gz

- Download MD5 sum: 0e795b2d2b4730fc5ee6e38b77699e91

- Download size: 2.2 MB

- Estimated disk space required: 16 MB

- Estimated build time: less than 0.1 SBU

## Installation of rnnoise

Install rnnoise by running the following commands:

    ./configure --prefix=/usr \
                --disable-static \
                --docdir=/usr/share/doc/rnnoise-0.2 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: None
Installed Library: rnnoise.so
Installed Directories: /usr/share/doc/rnnoise-0.2

- Prev

  qcoro-0.13.0

- Next

  simdutf-9.0.0

- Up
- Home